Bug 58479

Summary: Change WebGraphicsContext3D virtuals to pure virtuals as intended
Product: WebKit Reporter: John Bates <jbates>
Component: WebGLAssignee: John Bates <jbates>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, jbates, kbr
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: OS X 10.5   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description John Bates 2011-04-13 14:29:07 PDT
Roll chromium rev and change WebGraphicsContext3D virtuals to pure virtuals as intended
Comment 1 John Bates 2011-04-13 14:29:39 PDT
Created attachment 89459 [details]
Patch
Comment 2 Kenneth Russell 2011-04-13 15:33:12 PDT
Comment on attachment 89459 [details]
Patch

Looks good esp since it passed the cr-linux EWS bot. Would have cq+'d this earlier but didn't realize the Chromium Mac EWS bot can't process patches from non-committers.
Comment 3 WebKit Commit Bot 2011-04-14 02:40:39 PDT
Comment on attachment 89459 [details]
Patch

Rejecting attachment 89459 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sf', 'ap..." exit_code: 2

Last 500 characters of output:
neth Russell', u'--force']" exit_code: 1

Parsed 3 diffs from patch file(s).
patching file Source/WebKit/chromium/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit/chromium/DEPS
Hunk #1 FAILED at 32.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebKit/chromium/DEPS.rej
patching file Source/WebKit/chromium/public/WebGraphicsContext3D.h

Failed to run "[u'/Projects/CommitQueue/Tools/Scripts/svn-apply', u'--reviewer', u'Kenneth Russell', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/8403545
Comment 4 John Bates 2011-04-14 10:35:01 PDT
Created attachment 89603 [details]
Patch
Comment 5 Kenneth Russell 2011-04-14 10:53:46 PDT
Comment on attachment 89603 [details]
Patch

Looks fine.
Comment 6 WebKit Commit Bot 2011-04-14 20:54:51 PDT
Comment on attachment 89603 [details]
Patch

Rejecting attachment 89603 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-8', 'apply-..." exit_code: 2

Last 500 characters of output:
nneth Russell', u'--..." exit_code: 1

Parsed 3 diffs from patch file(s).
patching file Source/WebKit/chromium/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit/chromium/DEPS
Hunk #1 FAILED at 32.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebKit/chromium/DEPS.rej
patching file Source/WebKit/chromium/public/WebGraphicsContext3D.h

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Kenneth Russell', u'--..." exit_code: 1

Full output: http://queues.webkit.org/results/8450026
Comment 7 John Bates 2011-04-15 18:17:47 PDT
Created attachment 89897 [details]
Patch
Comment 8 John Bates 2011-04-15 18:19:19 PDT
OK, let's just leave the DEPS as is this time. The chromium version has been rolled enough by others.
Comment 9 Kenneth Russell 2011-04-15 18:20:28 PDT
Comment on attachment 89897 [details]
Patch

OK.
Comment 10 WebKit Commit Bot 2011-04-15 21:40:38 PDT
Comment on attachment 89897 [details]
Patch

Clearing flags on attachment: 89897

Committed r84079: <http://trac.webkit.org/changeset/84079>
Comment 11 WebKit Commit Bot 2011-04-15 21:40:42 PDT
All reviewed patches have been landed.  Closing bug.